Bug 966558 - growpart" spits out a non-fatal error message on systems where partx does not support the "--help" option.
growpart" spits out a non-fatal error message on systems where partx does not...
Status: CLOSED DUPLICATE of bug 966574
Product: Fedora EPEL
Classification: Fedora
Component: cloud-utils (Show other bugs)
el6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Juerg Haefliger
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 09:34 EDT by Jan van Eldik
Modified: 2013-11-22 04:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 04:50:40 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan van Eldik 2013-05-23 09:34:50 EDT
"growpart" spits out a non-fatal error message on systems where
partx does not support the "--help" option.

# /usr/bin/growpart /dev/vda 1
partx: unrecognized option '--help'
unknown option

This is with:

# rpm -qf /usr/bin/growpart
cloud-utils-0.27-3.el6.noarch

A trivial patch quiesces the script:

--- /usr/bin/growpart   2013-05-23 15:26:15.585033492 +0200
+++ /usr/bin/growpart-  2013-05-23 15:26:41.795992384 +0200
@@ -448,7 +448,7 @@
        fi
 
        if command -v partx >/dev/null 2>&1; then
-               partx --help 2>/dev/null | grep -q -- --update || {
+               partx --help | grep -q -- --update || {
                        reason="partx has no '--update' flag in usage."
                        found="off"
                }
Comment 1 Jan van Eldik 2013-05-23 09:36:29 EDT
I meant to open this bug against the cloud-utils package, sorry...
Comment 2 Juerg Haefliger 2013-11-22 04:50:40 EST

*** This bug has been marked as a duplicate of bug 966574 ***

Note You need to log in before you can comment on or make changes to this bug.